This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1472824 - package review: rubygem-jekyll-redirect-from
package review: rubygem-jekyll-redirect-from
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 09:19 EDT by John Heidemann
Modified: 2017-09-12 11:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description John Heidemann 2017-07-19 09:19:29 EDT
SPEC:
https://copr-be.cloud.fedoraproject.org/results/johnh/jekyll/fedora-25-x86_64/00581368-rubygem-jekyll-redirect-from/rubygem-jekyll-redirect-from.spec

SRPM:
https://copr-be.cloud.fedoraproject.org/results/johnh/jekyll/fedora-25-x86_64/00581368-rubygem-jekyll-redirect-from/rubygem-jekyll-redirect-from-0.11.0-1.fc25.src.rpm

This package provides useful functionality for jekyll.

The spec is automatic from the rubygem.

This build is 0.11.0 to work with rubygem-jekyll-3.2, the current package in Fedora Extras.  The current release 0.12.0 requires jekyll-3.3 and so awaits upgrade of the parent package.  However, no reason not to start with 0.11.0.
Comment 1 John Heidemann 2017-07-19 09:23:17 EDT
Related tickets: #1470699 (update to rubygem-jekyll)
#1470702 (another jekyll extension)
#1310368 (my prior request for jekyll including this module, fortunately overtaken by someone else's packaging fo it)
Comment 2 Robert-André Mauchin 2017-09-12 11:44:20 EDT
Hello,

 - Version: is 0.11.0 but version in %changelog (and upstream) is 0.12.1. Did you forget to update the tag?

 - The Group: tag is not used in Fedora. See https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

 - You didn't fill the %changelog entry with your name and email.

* Tue Jul 04 2017 John Heidemann <johnh@isi.edu> - 0.12.1-1

 - The %check section is currently not testing anything, missing "rspec spec/" ?
 
   For this, some dependencies are missing, I remember reviewing jekyll-sitemap so I already have a rpm laying around. It is not yet in Rawhide because it depend on the jekyll update. Rubocop has a review request but it doesn't seem mandatory.
   However the jekyll-sitemap packaged is a 1.x version, and the compatibility with such version is only available on a recent GIT snapshot: https://github.com/jekyll/jekyll-redirect-from/commit/55b91b3748f53679697225e07a62688baf9a917c

   Thus I suggest you to package the latest development snapshot:

   First:

%global commit          bc5ab9bd672e005f59ae6beabe8cbce5c77e0cdc
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global commitdate      20170731


  Then:

Release: 0.1.%{commitdate}git%{shortcommit}%{?dist}

  With the following source:
 
# git clone https://github.com/jekyll/jekyll-redirect-from/
# cd jekyll-redirect-from; gem build jekyll-redirect-from.gemspec
Source0: %{gem_name}-%{version}.gem


  And the corresponding changelog entry:

* Tue Sep 12 2017 John Heidemann <johnh@isi.edu> - 0.12.1-0.1.20170731gitbc5ab9b


Of course, it will depend on the jekyll update going through (bug #1470699) then the sitemap package being imported (bug #1470702).

Note You need to log in before you can comment on or make changes to this bug.